@font-face {
    font-family: "NunitoSeal";
    font-weight: normal;
    src: url("../fonts/nunito-regular.ttf");
}

@font-face {
    font-family: "NunitoSeal";
    font-weight: bold;
    src: url("../fonts/nunito-bold.ttf");
}

:root {
    --primary-color: #258dd7;
    --secondary-color: #0c609a;
}

html, body {
    margin: 0;
    padding: 0;
}

* {
    font-family: "NunitoSeal", sans-serif;
}

.w-full {
    width: 100%;
}

.mx-auto {
    margin-left: auto;
    margin-right: auto
}

.ml-auto {
    margin-left: auto
}

.mr-auto {
    margin-right: auto
}

.mt-0 {
    margin-top: 0
}

.mt-1 {
    margin-top: .25rem
}

.mt-2 {
    margin-top: .5rem
}

.mt-3 {
    margin-top: .75rem
}

.mt-4 {
    margin-top: 1rem
}

.mt-5 {
    margin-top: 1.25rem
}

.mt-6 {
    margin-top: 1.5rem
}

.mt-7 {
    margin-top: 1.75rem
}

.mt-8 {
    margin-top: 2rem
}

.mt-0 {
    margin-top: 0
}

.mb-1 {
    margin-bottom: .25rem
}

.mb-2 {
    margin-bottom: .5rem
}

.mb-3 {
    margin-bottom: .75rem
}

.mb-4 {
    margin-bottom: 1rem
}

.mb-5 {
    margin-bottom: 1.25rem
}

.mb-6 {
    margin-bottom: 1.5rem
}

.mb-7 {
    margin-bottom: 1.75rem
}

.mb-8 {
    margin-bottom: 2rem
}

.mx-1 {
    margin-top: .25rem;
    margin-bottom: .25rem
}

.mx-2 {
    margin-top: .5rem;
    margin-bottom: .5rem
}

.mx-3 {
    margin-top: .75rem;
    margin-bottom: .75rem
}

.mx-4 {
    margin-top: 1rem;
    margin-bottom: 1rem
}

.mx-5 {
    margin-top: 1.25rem;
    margin-bottom: 1.25rem
}

.mx-6 {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem
}

.mx-7 {
    margin-top: 1.75rem;
    margin-bottom: 1.75rem
}

.mx-8 {
    margin-top: 2rem;
    margin-bottom: 2rem
}

.ml-1 {
    margin-left: .25rem
}

.ml-2 {
    margin-left: .5rem
}

.ml-3 {
    margin-left: .75rem
}

.ml-4 {
    margin-left: 1rem
}

.ml-5 {
    margin-left: 1.25rem
}

.ml-6 {
    margin-left: 1.5rem
}

.ml-7 {
    margin-left: 1.75rem
}

.ml-8 {
    margin-left: 2rem
}

.ml-0 {
    margin-left: 0
}

.mr-1 {
    margin-right: .25rem
}

.mr-2 {
    margin-right: .5rem
}

.mr-3 {
    margin-right: .75rem
}

.mr-4 {
    margin-right: 1rem
}

.mr-5 {
    margin-right: 1.25rem
}

.mr-6 {
    margin-right: 1.5rem
}

.mr-7 {
    margin-right: 1.75rem
}

.mr-8 {
    margin-right: 2rem
}

.mr-0 {
    margin-right: 0
}

.m-1 {
    margin: .25rem
}

.m-2 {
    margin: .5rem
}

.m-3 {
    margin: .75rem
}

.m-4 {
    margin: 1rem
}

.m-5 {
    margin: 1.25rem
}

.m-6 {
    margin: 1.5rem
}

.m-7 {
    margin: 1.75rem
}

.m-8 {
    margin: 2rem
}

.pt-0 {
    padding-top: 0
}

.pt-1 {
    padding-top: .25rem
}

.pt-2 {
    padding-top: .5rem
}

.pt-3 {
    padding-top: .75rem
}

.pt-4 {
    padding-top: 1rem
}

.pt-5 {
    padding-top: 1.25rem
}

.pt-6 {
    padding-top: 1.5rem
}

.pt-7 {
    padding-top: 1.75rem
}

.pt-8 {
    padding-top: 2rem
}

.pt-0 {
    padding-top: 0
}

.pb-1 {
    padding-bottom: .25rem
}

.pb-2 {
    padding-bottom: .5rem
}

.pb-3 {
    padding-bottom: .75rem
}

.pb-4 {
    padding-bottom: 1rem
}

.pb-5 {
    padding-bottom: 1.25rem
}

.pb-6 {
    padding-bottom: 1.5rem
}

.pb-7 {
    padding-bottom: 1.75rem
}

.pb-8 {
    padding-bottom: 2rem
}

.px-1 {
    padding-left: .25rem;
    padding-right: .25rem
}

.px-2 {
    padding-left: .5rem;
    padding-right: .5rem
}

.px-3 {
    padding-left: .75rem;
    padding-right: .75rem
}

.px-4 {
    padding-left: 1rem;
    padding-right: 1rem
}

.px-5 {
    padding-left: 1.25rem;
    padding-right: 1.25rem
}

.px-6 {
    padding-left: 1.5rem;
    padding-right: 1.5rem
}

.px-7 {
    padding-left: 1.75rem;
    padding-right: 1.75rem
}

.px-8 {
    padding-left: 2rem;
    padding-right: 2rem
}

.py-1 {
    padding-top: .25rem;
    padding-bottom: .25rem
}

.py-2 {
    padding-top: .5rem;
    padding-bottom: .5rem
}

.py-3 {
    padding-top: .75rem;
    padding-bottom: .75rem
}

.py-4 {
    padding-top: 1rem;
    padding-bottom: 1rem
}

.py-5 {
    padding-top: 1.25rem;
    padding-bottom: 1.25rem
}

.py-6 {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem
}

.py-7 {
    padding-top: 1.75rem;
    padding-bottom: 1.75rem
}

.py-8 {
    padding-top: 2rem;
    padding-bottom: 2rem
}

.p-1 {
    padding: .25rem
}

.p-2 {
    padding: .5rem
}

.p-3 {
    padding: .75rem
}

.p-4 {
    padding: 1rem
}

.p-5 {
    padding: 1.25rem
}

.p-6 {
    padding: 1.5rem
}

.p-7 {
    padding: 1.75rem
}

.p-8 {
    padding: 2rem
}

.flex {
    display: flex
}

.items-center {
    align-items: center
}

.items-start {
    align-items: flex-start
}

.items-end {
    align-items: flex-end
}

.items-stretch {
    align-items: stretch
}

.justify-end {
    justify-content: flex-end
}

.justify-center {
    justify-content: center
}

.justify-between {
    justify-content: space-between
}

.justify-items-center {
    justify-items: center
}

.inline-flex {
    display: inline-flex
}

button.default {
    background: white;
    border: 1px solid #3089CA;
    color: #3089CA;
    font-weight: bold;
    border-radius: 5px;
    font-size: 1rem;
    padding: 0.45rem 1.2rem;
    cursor: pointer;
    transition: background-color 200ms;
}

button.default.smaller {
    font-size: 0.95rem;
    padding: 0.35rem 1rem;
}

button.default.warning {
    border-color: #de9e03;
    color: #de9e03;
}

button.default.danger {
    border-color: darkred;
    color: darkred;
}

button.default:hover {
    background: rgba(48, 137, 202, 0.1);
}

button.default.warning:hover {
    background: rgba(139, 0, 0, 0.1);
}

.form-group {
    display: flex;
    flex-direction: column;
}

.form-group input[type='text'],
.form-group input[type='number'],
.form-group input[type='password'],
.form-group textarea,
.form-group select,
.form-group textarea.form-control,
input[type='text'].form-control,
input[type='number'].form-control,
input[type='password'].form-control,
textarea.form-control,
textarea.form-control {
    background: white;
    border: 1px solid #D5D5D5;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.05);
    outline: none;
    display: block;
    width: 100%;
    box-sizing: border-box;
    padding: 0.7em 1.1em;
    border-radius: 6px;
    font-size: 0.95em;
}

.filters input[type='text'].form-control,
.filters input[type='number'].form-control,
.filters select.form-control,
.filters textarea.form-control,
.filters textarea.form-control {
    font-size: 0.9em;
    padding: 0.5em 0.9em;
    width: auto;
}

.form-group input[type='text'].is-invalid,
.form-group input[type='number'].is-invalid,
.form-group input[type='password'].is-invalid,
.form-group textarea.is-invalid,
.form-group textarea.form-control.is-invalid {
    box-shadow: 0 0 0 3px #ffe3e3;
    border: 1px solid #da3e3e;
}

.form-group select:focus,
.form-group input[type='text']:focus,
.form-group input[type='number']:focus,
.form-group input[type='password']:focus,
.form-group textarea:focus,
.form-group textarea.form-control:focus {
    box-shadow: 0 0 0 3px rgba(2, 141, 229, 0.14);
    border: 1px solid #3089CA;
    outline: 0;
}

tr.filters td {
    border-bottom: 1px solid #EAEDF0 !important;
}

.form-group input[type=checkbox] {
    -webkit-print-color-adjust: exact;
    --tw-shadow: 0 0 #0000;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-origin: border-box;
    color-adjust: exact;
    display: inline-block;
    flex-shrink: 0;
    height: 1rem;
    padding: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    vertical-align: middle;
    width: 1rem;
    border: 1px solid #D5D5D5;
    border-radius: .25rem;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.05);
}

.form-group input[type=checkbox]:checked {
    background-color: currentColor;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    border-color: transparent;
    --tw-text-opacity: 1;
    color: #3089CA;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg viewBox='0 0 16 16' fill='%23fff' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12.207 4.793a1 1 0 0 1 0 1.414l-5 5a1 1 0 0 1-1.414 0l-2-2a1 1 0 0 1 1.414-1.414L6.5 9.086l4.293-4.293a1 1 0 0 1 1.414 0z'/%3E%3C/svg%3E");
}

.form-group input[type=checkbox]:checked:hover {
    background-color: currentColor;
    border-color: transparent;
}

.form-group input[type=radio] {
    -webkit-print-color-adjust: exact;
    --tw-shadow: 0 0 #0000;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-origin: border-box;
    color-adjust: exact;
    display: inline-block;
    flex-shrink: 0;
    height: 1rem;
    padding: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    vertical-align: middle;
    width: 1rem;
    border: 1px solid #D5D5D5;
    border-radius: 50%;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.05);
}

.form-group input[type=radio]:checked {
    background-color: currentColor;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    border-color: transparent;
    --tw-text-opacity: 1;
    color: #3089CA;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg viewBox='0 0 16 16' fill='%23fff' xmlns='http://www.w3.org/2000/svg'%3E%3Ccircle cx='8' cy='8' r='3'/%3E%3C/svg%3E");
}

.form-group input[type=radio]:checked:hover {
    background-color: currentColor;
    border-color: transparent;
}

.custom-checkbox {
    margin: 0.2rem 0;
    display: flex;
    align-items: center;
    flex-direction: row;
}

.custom-checkbox.disabled {
    opacity: 0.6;
    cursor: not-allowed;
}

.custom-checkbox label {
    font-size: 1rem;
    margin: 0.25rem;
}

label {
    display: block;
    font-size: 0.9rem;
    color: #707070;
    margin-bottom: 0.3rem;
}

.form-group .invalid-feedback {
    margin-top: 0.4rem;
    font-size: 0.8rem;
    color: #c21515;
}

.form-group .hint-block {
    font-size: 0.8rem;
    color: #909090;
    margin: 0.4rem 0 0 0;
}

.error-block,
.form-group.has-error .help-block {
    font-size: 0.8rem;
    color: #c21515;
    margin: 0.4rem 0 0.4rem 0;
}

.form-group .custom-checkbox {
    display: flex;
    align-items: center;
}

.form-group .custom-checkbox label {
    margin: 0 0.4rem;
}

.multiple-inputs {
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.05);
    width: 100%;
    box-sizing: border-box;
    overflow: hidden;
    border-radius: 5px;
    border: 1px solid #D5D5D5;
    margin-bottom: 0.5em;
}

.drag-container {
    border-bottom: 1px solid #e0e0e0;
}

.drag-container:last-child {
    border-bottom: 0;
}

.multiple-input-wrapper {
    display: flex;
    flex: 1;
    align-items: center;
}

.multiple-input-wrapper .fas {
    color: #aaa;
    cursor: pointer;
}

.multiple-input-wrapper .fa-bars {
    padding-left: 1em;
    font-size: 0.9em;
}

.multiple-input-wrapper .fa-bars:hover {
    color: #808080;
}

.multiple-input-wrapper .fa-times {
    padding-right: 1em;
    font-size: 0.8em;
}

.multiple-input-wrapper .fa-times:hover {
    color: #808080;
}

.multiple-input-wrapper input {
    border: 0;
    box-shadow: none;
    border-radius: 0;
    padding: 0.8em 1em;
    font-size: 0.95rem;
}

.multiple-input-wrapper input {
    outline: none!important;
}

h2.form-section {
    margin: 1.5rem 0 1rem 0;
    font-size: 0.9rem;
    border-bottom: 1px solid #eee;
    font-weight: bold;
    color: var(--primary-color);
    padding: 0 0 0.3rem 0;
}

.feedback {
    border-radius: 5px;
    color: white;
    font-size: 0.95rem;
    padding: 0.8rem 1rem;
    margin: 1rem 0;
}

.feedback.warning {
    background: #de9e03;
}

.feedback.danger {
    background: #b00000;
}

.table {
    width: 100%;
    background: white;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    border-radius: 6px;
    overflow: hidden;
    border-spacing: 0;
    border-collapse: separate;
}

.table td a {
    color: var(--primary-color);
    text-decoration: none;
    font-weight: bold;
    transition: color 200ms;
}

.table td a:hover {
    color: var(--secondary-color);
    border-bottom: 2px solid #eee;
}

.table tr th,
.table tr td {
    border-bottom: 1px solid #eee;
}

.table tr:last-child td {
    border-bottom: 0;
}

.table th {
    text-align: left;
    font-weight: 600;
    color: #bbb;
    font-size: 0.95rem;
    padding: 0.65rem 0.9rem;
}

.table td {
    color: #404040;
    padding: 0.8rem 0.9rem;
}

.table th a {
    text-decoration: none;
    color: #bbb;
    transition: all 200ms;
}

.table th a:hover {
    color: var(--primary-color);
}

.table .actions div {
    display: flex;
}

.table .actions a:first-child {
    margin-left: auto;
}

.table .actions a {
    margin: 0 0.6rem;
    color: #bbb;
}

.table .actions a:hover {
    color: var(--primary-color);
    border: 0;
}

.grid-view .summary {
    color: #808080;
    margin: 0 0 0.5rem 0;
    font-size: 0.9rem;
}

.grid-view {
    display: flex;
    flex-direction: column;
}

ul.pagination {
    list-style: none;
    margin: 2.5rem auto 0 auto;
    padding: 0;
    display: flex;
    background: white;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    width: auto;
    border-radius: 6px;
    overflow: hidden;
}

ul.pagination li a {
    display: block;
    padding: 0.6rem 1rem;
    border-left: 1px solid #eee;
}

ul.pagination li.disabled {
    display: none;
}

ul.pagination li a {
    color: #404040;
    text-decoration: none;
}

ul.pagination li a:hover {
    background: var(--primary-color);
}

ul.pagination li:hover a {
    color: white;
}

ul.pagination li:first-child {
    border-left: 0;
}

.container {
    width: 1200px;
    margin: auto;
}

.container.with-sidebar {
    display: flex;
    flex-direction: row;
}

.with-sidebar .sidebar {
    flex-basis: 280px;
}

.with-sidebar .sidebar-header {
    margin: 2.5rem 0 1rem 0;
    font-size: 1.2rem;
    font-weight: bold;
    color: #303030;
}

.with-sidebar .sidebar-box {
    background: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    overflow: hidden;
}

.sidebar-nav ul {
    margin: 0.5rem;
    padding: 0;
    list-style: none;
}

.sidebar-nav ul li a {
    display: block;
    text-decoration: none;
    color: #303030;
    padding: 0.5rem 0.8rem;
    margin: 0.3rem 0;
    border-radius: 5px;
}

.sidebar-nav ul li a:hover {
    color: #202020;
    background: #EAEDF0;
}

.sidebar-nav ul li.active a {
    color: white;
    background: var(--primary-color);
}

.with-sidebar .page {
    flex-grow: 1;
    margin-left: 4rem;
}

.container-md {
    width: 600px;
    margin: auto;
}

.container-sm {
    width: 400px;
    margin: auto;
}

h1, h2, h3, h4, h5 {
    color: #303030;
}

hr {
    border: 0;
    height: 0;
    border-top: 1px solid #dadada;
    background: none;
    margin: 3em 0 2.5rem 0;
    padding: 0;
}

.icon-button {
    color: #a9acaf;
    padding: 0.25rem 0.4rem;
    border-radius: 5px;
    font-size: 0.8rem;
    cursor: pointer;
    transition: all 200ms;
    margin-left: 0.5rem;
}

.button-group {
    margin-left: 0.5rem;
}

.button-group a {
    text-decoration: none;
}

.button-group .icon-button {
    margin-left: 0;
}

.icon-button:hover {
    background: white;
}

.icon-button.edit:hover {
    color: #ff9200;
}

a.default {
    color: var(--primary-color);
    font-weight: bold;
    text-decoration: none;
    transition: background-color 0.3s;
    display: inline-block;
    cursor: pointer;
}

a.default:hover {
    text-decoration: none;
    color: var(--primary-color);
    position: relative;
 }
